<div class="bg-img">
  <div id="register">
    <mat-card>
      <mat-card-content>

        <h1 *ngIf="isAddMode">Add User</h1>
        <h1 *ngIf="!isAddMode">Edit User</h1>
        <form [formGroup]="form" (ngSubmit)="onSubmit()">

          <mat-form-field class="full-width-input" appearance="outline" color="accent">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Email" formControlName="email">
            <mat-error>
              Please provide a valid email address
            </mat-error>
          </mat-form-field>

          <mat-form-field class="full-width-input" appearance="outline" color="accent">
            <mat-label>Username</mat-label>
            <input matInput placeholder="Username" formControlName="userName">
            <mat-error>
              Please provide a valid username
            </mat-error>

          </mat-form-field>
          <mat-form-field class="full-width-input" appearance="outline" *ngIf="isAddMode" color="accent">
            <mat-label>Pasword</mat-label>
            <input matInput type="password" placeholder="Password" formControlName="password" required>
            <mat-error>
              Please provide a valid password
            </mat-error>

          </mat-form-field>
          <mat-form-field class="full-width-input" appearance="outline" color="accent">
            <mat-label>Full Name</mat-label>
            <input matInput placeholder="Full Name" formControlName="name">
            <mat-error>
              Please provide a valid Name
            </mat-error>
          </mat-form-field>

          <mat-form-field class="full-width-input" appearance="outline" color="accent">
            <mat-label>Age</mat-label>
            <input matInput type="age" placeholder="Age" formControlName="age" required>
            <mat-error>
              Please provide a valid age
            </mat-error>
          </mat-form-field>
          <div *ngIf="!isAddMode">
            <app-upload (onUploadFinished)="uploadFinished($event)"></app-upload>
          </div>
          <div class="form-group">
            <button mat-raised-button color="accent" [disabled]="loading">
              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              Save
            </button>
            <button mat-raised-button color="warn" (click)="cancel()">Cancel</button>
          </div>
        </form>
      </mat-card-content>
    </mat-card>
  </div>

</div>
